MagickCore: resample.h File Reference

# resample.h File Reference

`#include <magick/cache-view.h>`

Go to the source code of this file.

## Typedefs
typedef struct _ResampleFilter | ResampleFilter
## Enumerations
enum | InterpolatePixelMethod { UndefinedInterpolatePixel, AverageInterpolatePixel, BicubicInterpolatePixel, BilinearInterpolatePixel, FilterInterpolatePixel, IntegerInterpolatePixel, MeshInterpolatePixel, NearestNeighborInterpolatePixel, SplineInterpolatePixel }
## Functions
MagickExport MagickBooleanType | SetResampleFilterInterpolateMethod (ResampleFilter *, const InterpolatePixelMethod)
MagickExport MagickBooleanType | SetResampleFilterVirtualPixelMethod (ResampleFilter *, const VirtualPixelMethod)
MagickExport ResampleFilter * | AcquireResampleFilter (const Image *, ExceptionInfo *)
MagickExport ResampleFilter ** | DestroyResampleFilter (ResampleFilter *)
MagickExport void | ScaleResampleFilter (ResampleFilter *, const double, const double, const double, const double)
MagickExport MagickPixelPacket | ResamplePixelColor (ResampleFilter *, const double, const double)

## Typedef Documentation

typedef struct _ResampleFilter ResampleFilter

## Enumeration Type Documentation

enum InterpolatePixelMethod

Enumerator:

  UndefinedInterpolatePixel |
  AverageInterpolatePixel |
  BicubicInterpolatePixel |
  BilinearInterpolatePixel |
  FilterInterpolatePixel |
  IntegerInterpolatePixel |
  MeshInterpolatePixel |
  NearestNeighborInterpolatePixel |
  SplineInterpolatePixel |

## Function Documentation

MagickExport ResampleFilter* AcquireResampleFilter | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport ResampleFilter* * DestroyResampleFilter | ( | ResampleFilter * |  | ) |

MagickExport MagickPixelPacket ResamplePixelColor | ( | ResampleFilter * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

MagickExport void ScaleResampleFilter | ( | ResampleFilter * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

MagickExport MagickBooleanType SetResampleFilterInterpolateMethod | ( | ResampleFilter * | ,
|  | const | InterpolatePixelMethod |
| ) |  |  |

MagickExport MagickBooleanType SetResampleFilterVirtualPixelMethod | ( | ResampleFilter * | ,
|  | const | VirtualPixelMethod |
| ) |  |  |